%define oname ark

Summary:	Archive manager for Plasma 5
Name:		plasma5-%{oname}
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Source1:	ark_ru.tar.gz
Patch0:		ark-17.04.0-action_compress.patch
Patch1:		ark-17.04.0-extract_service_menu.patch
Patch2:		ark-17.04.0-json_string_servicemenu.patch
Patch3:		ark-17.04.0-zip-encoding.patch
Patch4:		ark-17.08.2-json_string_plugin.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	bzip2-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5khtml-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5pty-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
Conflicts:	ark
Conflicts:	kde5-l10n < 17.04

%description
Archive manager for Plasma 5.

%files -f %{oname}.lang
%doc COPYING COPYING.icons
%{_kde5_applicationsdir}/org.kde.ark.desktop
%{_kde5_bindir}/ark
%{_kde5_datadir}/config.kcfg/ark.kcfg
%{_kde5_iconsdir}/hicolor/*/apps/ark.*
%{_kde5_mandir}/man1/ark.1*
%{_kde5_plugindir}/kio_dnd/extracthere.so
%{_kde5_services}/ark_part.desktop
%{_kde5_servicetypes}/kerfufflePlugin.desktop
%{_kde5_sysconfdir}/xdg/ark.categories
%{_kde5_xmlguidir}/ark/*.rc
%{_datadir}/mime/packages/kerfuffle.xml
%{_appdatadir}/org.kde.ark.appdata.xml
%{_qt5_plugindir}/arkpart.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_cli7z.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_clirar.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_cliunarchiver.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_clizip.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_libarchive.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_libarchive_readonly.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_libbz2.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_libgz.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_libxz.so
%{_qt5_plugindir}/kf5/kfileitemaction/compressfileitemaction.so
%{_qt5_plugindir}/kf5/kfileitemaction/extractfileitemaction.so

#----------------------------------------------------------------------------

%define kerfuffle_major 17
%define libkerfuffle %mklibname kerfuffle %{kerfuffle_major}

%package -n %{libkerfuffle}
Summary:	Shared library for Ark
Group:		System/Libraries

%description -n %{libkerfuffle}
Shared library for Ark.

%files -n %{libkerfuffle}
%{_kde5_libdir}/libkerfuffle.so.%{kerfuffle_major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

pushd po/ru
tar -xvzf %{SOURCE1}
popd

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_kde5_libdir}/libkerfuffle.so

# To avoid conflicts with kde-l10n
rm -rf %{buildroot}%{_kde5_mandir}/*/man1/*

%find_lang %{oname} --with-kde --with-html
%kf5locales_fix %{oname}.lang


%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (94f4694) Update json_string_plugin patch
- (Andrey Bondrov: d2407e3) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (89c8735) New version 17.04.3

* Thu Jun 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (659b0c6) Merge locales from kde5-l10n
- (659b0c6) Update Russian translations
- (659b0c6) Update service menus
- (Andrey Bondrov: 7d35c4d) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (b56535a) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (2188401) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (aed3945) MassBuild#1230: Increase release tag

* Sun Jan 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (d83181d) Re-diff zip-encoding patch
- (Andrey Bondrov: 4325a55) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (1dff49d) MassBuild#1212: Increase release tag

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (c211a15) Drop obsolete service menus
- (c211a15) Update files
- (Andrey Bondrov: ac8fa73) New version 16.08.2

* Tue Oct 25 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-2
- (deb58f0) Use _appdatadir macro
- (Andrey Bondrov: c0a2b78) MassBuild#1169: Increase release tag

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (54784b8) New version 16.04.3

* Mon Jun 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.2-1
- (dc4036d) Build requires pkgconfig(Qt5Concurrent)
- (Andrey Bondrov: cec26b5) Drop no-rar patch (merged upstream) and update ru patch
- (Andrey Bondrov: cec26b5) Update files (plugins ported to KPluginLoader)
- (Andrey Bondrov: cec26b5) Upstream dropped clilha plugin
- (Andrey Bondrov: cec26b5) New kerfuffle library major 16
- (Andrey Bondrov: 5beffe8) New version 16.04.2

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.3-1
- (28effb7) New version 15.12.3

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.2-1
- (ea782ae) New version 15.12.3
- (Andrey Bondrov: 815e2d2) Add patch to fix zip encoding (force UTF8)
- (Andrey Bondrov: 32fc830) New version 15.12.2

* Wed Jan 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.1-1
- (a963ad2) New version 15.12.1

* Sun Jan 03 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.0-1
- (2811cae) Fix Url
- (Andrey Bondrov: f570e81) Update Russian translation
- (Andrey Bondrov: f570e81) NEw filename for appdata file
- (Andrey Bondrov: dfe294f) New version 15.12.0

* Mon Nov 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.3-1
- (bc839de) New version 15.08.3

* Thu Oct 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.2-1
- (8492609) Update Russian translation for service menu
- (Andrey Bondrov: 742c0d4) New version 15.08.2


